Bug 961686 - The additional storage capacity for silver account is still 30GB after STG is upgraded
The additional storage capacity for silver account is still 30GB after STG is...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 05:34 EDT by Jianwei Hou
Modified: 2015-05-14 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:55:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-05-10 05:34:09 EDT
Description of problem:
After STG is upgraded and migrated, the additional gear storage for an existing silver account is still 30GB, which is expected to be reduced to 5GB.
Maybe the mongo isn't migrated or the capacity is reset with oo-admin-ctl-user?

Version-Release number of selected component (if applicable):
STG(devevn-stage_347)

How reproducible:
Always

Steps to Reproduce:
1. Prepare an account with silver plan(jhou+6@redhat.com on STG)
2. After STG is upgraded, verify the account's additional gear storage capacity is changed to 5GB
curl -s -k -H 'Content-Type: Application/json' --user jhou+6@redhat.com:x https://stg.openshift.redhat.com/broker/rest/user -X GET

  
Actual results:
After step 2: the max_storage_per_gear is 30, which is expected to be 5
<--------------------------->
"data": {
    "capabilities": {
      "gear_sizes": [
        "small",
        "medium"
      ],
      "plan_upgrade_enabled": true,
      "private_ssl_certificates": true,
      "subaccounts": false,
      "max_storage_per_gear": 30
    },
<--------------------------->

Expected results:
max_storage_per_gear should be 5

Additional info:
Comment 1 Ravi Sankar 2013-05-10 19:20:22 EDT
This should be fixed on STG now.
Comment 2 Jianwei Hou 2013-05-12 21:39:47 EDT
Verified on STG, the max_storage_per_gear is changed to 5G now
<--------------------------->
"data": {
        "capabilities": {
            "gear_sizes": [
                "small",
                "medium"
            ],
            "plan_upgrade_enabled": true,
            "private_ssl_certificates": true,
            "subaccounts": false,
            "max_storage_per_gear": 5
        },
        "consumed_gears": 10,
.........
<--------------------------->

Note You need to log in before you can comment on or make changes to this bug.